Skip to main content

Address Suggestions API

Quick Startโ€‹

# List available operations
epilot address-suggestions

# Call an operation
epilot address-suggestions getAddresses -p X-Epilot-Org-ID=739224

Common Flagsโ€‹

FlagDescription
-p key=valueSet a named parameter
-d '{...}'Request body JSON
-H 'Key: Value'Custom header
-t, --token <token>Bearer token for authentication
--profile <name>Use a named profile
-s, --server <url>Override server base URL
-i, --includeInclude response headers in output
--jsonOutput raw JSON (no formatting)
-v, --verboseVerbose output (show request details)
--jsonata <expr>JSONata expression to transform response
--definition <file>Override OpenAPI spec file/URL
--guidedPrompt for all parameters interactively
--no-interactiveDisable interactive prompts

Operationsโ€‹

Addresses API

  • getAddresses โ€” Get address suggestions for the given file id
  • checkAvailability โ€” Check the availability of a given address within multiple files
  • validateAddressesFile โ€” Validates an addresses file, it returns an array of errors if the file is invalid

getAddressesโ€‹

Get address suggestions for the given file id

GET /v1/public/suggestions

Parameters

NameInTypeRequiredDescription
X-Epilot-Org-IDheaderstringYesThe target Organization Id represented by the caller
s3FileUrlquerystringNofile s3 reference
fileIdquerystringNofile id to get suggestions from
countryCodeSearchTermquerystringNocountry code search term
postalCodeSearchTermquerystringNopostal code search term
streetSearchTermquerystringNostreet search term

Sample Call

epilot address-suggestions getAddresses \
-p X-Epilot-Org-ID=739224

With JSONata filter:

epilot address-suggestions getAddresses -p X-Epilot-Org-ID=739224 --jsonata '$'
Sample Response
[
{
"country": "string",
"postal_code": "string",
"city": "string",
"street": "string",
"street_number": "string"
}
]

checkAvailabilityโ€‹

Check the availability of a given address within multiple files

GET /v1/public/availability:check

Parameters

NameInTypeRequiredDescription
X-Epilot-Org-IDheaderstringYesThe target Organization Id represented by the caller
filesquerystringYesfile ids to check, comma separated
countryCodequerystringYescountry code
postalCodequerystringYespostal code
streetquerystringNostreet
streetNumberquerystringNostreet number

Sample Call

epilot address-suggestions checkAvailability \
-p X-Epilot-Org-ID=739224 \
-p files=example \
-p countryCode=de \
-p postalCode=50667

With JSONata filter:

epilot address-suggestions checkAvailability -p X-Epilot-Org-ID=739224 -p files=example -p countryCode=de -p postalCode=50667 --jsonata 'fileId'
Sample Response
{
"fileId": "4e7b7d95-ced6-4f5f-9326-0c61f30dcadb"
}

validateAddressesFileโ€‹

Validates an addresses file, it returns an array of errors if the file is invalid

GET /v1/addresses-files:validate

Parameters

NameInTypeRequiredDescription
fileIdquerystringNofile id to validate

Sample Call

epilot address-suggestions validateAddressesFile

With JSONata filter:

epilot address-suggestions validateAddressesFile --jsonata 'status'
Sample Response
{
"status": "success",
"rules_parsed_count": 0,
"errors": [
{
"line": 0,
"msg": "string",
"data": "string"
}
]
}